Bug 24353

Summary: [19.05] privacy_guarantor_checkouts incorrectly shows No on moremember.pl
Product: Koha Reporter: Andrew Fuerste-Henry <andrew>
Component: PatronsAssignee: Katrin Fischer <katrin.fischer>
Status: Pushed to oldoldstable --- QA Contact: Alex Arnaud <alex.arnaud>
Severity: normal    
Priority: P5 - low CC: alex.arnaud, black23, gmcharlt, jonathan.druart, kyle.m.hall, victor
Version: 19.05   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
19.05.13
Attachments: Bug 24353: [19.05] Correct display of privacy_guarantor_checkouts on moremember.pl
Bug 24353: [19.05] Correct display of privacy_guarantor_checkouts on moremember.pl
Bug 24353: [19.05] Correct display of privacy_guarantor_checkouts on moremember.pl

Description Andrew Fuerste-Henry 2020-01-06 15:26:03 UTC
To Test:
- find/create a patron with a guarantor
- Set AllowStaffToSetCheckoutsVisibilityForGuarantor and AllowPatronToSetCheckoutsVisibilityForGuarantor to Allow
- Edit patron to set Show Checkouts to Guarantor to Yes
- Confirm patron incorrectly shows "No" on moremember.pl
- Confirm patron correctly shows "Yes" on memberentry.pl and opac-privacy.pl
- Confirm patron correctly shows privacy_guarantor_checkouts=1 in database
Comment 1 Jonathan Druart 2020-01-13 15:05:01 UTC
This is ok on master.
Comment 2 Katrin Fischer 2020-05-23 12:59:10 UTC
19.05:
[% IF privacy_guarantor_checkouts %]

master:
[% IF patron.privacy_guarantor_checkouts %]

19.11:
[% IF patron.privacy_guarantor_checkouts %]

I'll provide a patch.
Comment 3 Katrin Fischer 2020-05-23 13:06:19 UTC
Created attachment 105301 [details] [review]
Bug 24353: [19.05] Correct display of privacy_guarantor_checkouts on moremember.pl

The variable for 'Show checkouts to guarantor' was incorrect so
it would always show as 'No' on the Details tab in the patron
account in staff.

To test:
- find/create a patron with a guarantor
- Set AllowStaffToSetCheckoutsVisibilityForGuarantor and AllowPatronToSetCheckoutsVisibilityForGuarantor to Allow
- Edit patron to set Show Checkouts to Guarantor to Yes
- Confirm patron incorrectly shows "No" on moremember.pl (Details tab)
- Apply patch
- Confirm the display changes to "Yes"
- Change the value to "No" in the patron record
- Verify that the display changed accordingly
Comment 4 Michal Denar 2020-06-16 20:15:05 UTC
Please, rebase this bug on master.

Thank you.
Comment 5 Jonathan Druart 2020-06-17 07:29:11 UTC
(In reply to Michal Denar from comment #4)
> Please, rebase this bug on master.
> 
> Thank you.

This patch is for 19.05 only.
Comment 6 Victor Grousset/tuxayo 2020-06-30 01:56:11 UTC
Created attachment 106422 [details] [review]
Bug 24353: [19.05] Correct display of privacy_guarantor_checkouts on moremember.pl

The variable for 'Show checkouts to guarantor' was incorrect so
it would always show as 'No' on the Details tab in the patron
account in staff.

To test:
- find/create a patron with a guarantor
- Set AllowStaffToSetCheckoutsVisibilityForGuarantor and AllowPatronToSetCheckoutsVisibilityForGuarantor to Allow
- Edit patron to set Show Checkouts to Guarantor to Yes
- Confirm patron incorrectly shows "No" on moremember.pl (Details tab)
- Apply patch
- Confirm the display changes to "Yes"
- Change the value to "No" in the patron record
- Verify that the display changed accordingly

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 7 Victor Grousset/tuxayo 2020-06-30 02:01:22 UTC
It works! :)

A guess of the continuation of the process would be:
- QA as usual
- instead of the RM to push to master, it would be the RMaint of 19.05.x (turns out to be me)
Comment 8 Alex Arnaud 2020-07-03 13:11:43 UTC
Created attachment 106502 [details] [review]
Bug 24353: [19.05] Correct display of privacy_guarantor_checkouts on moremember.pl

The variable for 'Show checkouts to guarantor' was incorrect so
it would always show as 'No' on the Details tab in the patron
account in staff.

To test:
- find/create a patron with a guarantor
- Set AllowStaffToSetCheckoutsVisibilityForGuarantor and AllowPatronToSetCheckoutsVisibilityForGuarantor to Allow
- Edit patron to set Show Checkouts to Guarantor to Yes
- Confirm patron incorrectly shows "No" on moremember.pl (Details tab)
- Apply patch
- Confirm the display changes to "Yes"
- Change the value to "No" in the patron record
- Verify that the display changed accordingly

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 9 Victor Grousset/tuxayo 2020-07-05 02:40:19 UTC
Pushed to 19.05.x branch for 19.05.13, thanks to everyone involved! :D